from src.batch.ultmarc.utmp_tables.tables.ultmarc_table import UltmarcTable


class ComPolicyMed(UltmarcTable):
    """レイアウト区分028: COM_政策医療"""
    policy_med_cd: str      # 政策医療コード
    field_name: str         # 分野名称（漢字）
    maint_flag: str         # 修正区分

    def __init__(self, record: list[str]):
        super().__init__(record)
        self.policy_med_cd = record[1]
        self.field_name = record[5]
        self.maint_flag = record[2]
